# friendly-tnsvue/vue-plugin

## Usage
### Install
```sh
# With NPM
npm install @friendly-tnsvue/vue-plugin

# Or Yarn:
yarn add @friendly-tnsvue/vue-plugin
```

### Load
Add this into your entry point (app.js)
```js
import FriendlyTnsVue from "@friendly-tnsvue/vue-plugin";

Vue.use(FriendlyTnsVue); 
```
### Components
- div
  - props
    - lStyle

      **Type:** `String, Object`

      **Examples:**
      ```html
      <!-- typeof lStyle === string -->
      <div lStyle="display: flex; align-items: center">
      </div>
      ```
      ```html
      <!-- typeof lStyle === object -->
      <div :lStyle="{ display: 'flex', alignItems: 'center' }">
      </div>
      <!-- NOTE: don't forget to use ":lStyle" (or "v-bind:lStyle") -->
      ```

      **display:**
      ```js
      const layoutTypes = {
        absolute: 'AbsoluteLayout',
        dock: 'DockLayout',
        flex: 'FlexboxLayout',
        grid: 'GridLayout',
        stack: 'StackLayout',
        wrap: 'WrapLayout',
      };
      layoutTypes.block = layoutTypes.stack;
      layoutTypes.default = layoutTypes.stack;
      ```

      With the exception of the `display` property, the other properties correspond to HTML attributes, interpreted by NativeScript.

      Please visit the layout section of [documentation](https://nativescript-vue.org/en/docs/introduction/)

- p
  ```html
  <p>olá</p>
  <!-- is the same of -->
  <div>
    <Label>olá</Label>
  </div>
  ```
  **Examples**:
  ```html
  <p>Qual é o doce mais doce que o doce de batata doce?</p>
  ```

## Desenvolvimento
Caso você queira fazer mudanças, estudar ou inspecionar, você pode clonar esse repositório e ser feliz. Mas é claro, só se você quiser ;)

1. Clone este repositório
  ```sh
  git clone https://github.com/friendly-tnsvue/vue-plugin.git
  ```
2. Instale as dependências necessárias
  ```sh
  # yarn (recomendado)
  yarn

  # ou com npm
  npm install
  ```

### Build
```sh
yarn run build
```

#### Quer contribuir? Ótimo! 🤝
Fique livre para:
- Abrir uma issue.
- Enviar um pull request.
- Comentar no trecho do código que você acredita que pode ser melhorado.

Antes de enviar um pull request, por favor digite:
```sh
$ yarn run lint 
$ yarn run format
```
Os comandos acima procuram por erros comuns e tentam "padronizar" a estrutura do código.

## 📝 License
O código fonte desse projeto está licenciado sob a licensa [MIT](LICENCE)

(c) 2019, Gabriel Rodrigues
