"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var nativescript_vue_1 = require("nativescript-vue");
var css_to_obj_1 = __importDefault(require("../../lib/css-to-obj"));
var layoutTypes = {
    absolute: "AbsoluteLayout",
    dock: "DockLayout",
    flex: "FlexboxLayout",
    grid: "GridLayout",
    stack: "StackLayout",
    wrap: "WrapLayout"
};
layoutTypes.block = layoutTypes.stack;
layoutTypes["default"] = layoutTypes.stack;
exports["default"] = nativescript_vue_1.NativeScriptVue.extend({
    name: "div",
    props: {
        lStyle: {
            type: [String, Object]
        }
    },
    computed: {
        layoutName: function () {
            return layoutTypes[this.layoutStyle.display];
        },
        layoutStyle: function () {
            var customLayoutStyle = {};
            var defaultLayoutStyle = {
                display: "block"
            };
            if (typeof this.lStyle === "string") {
                customLayoutStyle = css_to_obj_1["default"](this.lStyle);
            }
            else if (this.lStyle === "object") {
                customLayoutStyle = this.lStyle;
            }
            return __assign({}, defaultLayoutStyle, customLayoutStyle);
        }
    },
    render: function (h) {
        return h(this.layoutName, {
            props: this.layoutStyle,
            attrs: this.layoutStyle
        }, this.$slots["default"]);
    }
});
