"use strict";
exports.__esModule = true;
var nativescript_vue_1 = require("nativescript-vue");
exports["default"] = nativescript_vue_1.NativeScriptVue.extend({
    name: "p",
    props: {
        layoutStyle: {
            type: Object,
            "default": {}
        },
        display: {
            type: String,
            "default": "block"
        },
        trim: {
            type: Boolean,
            "default": true
        }
    },
    computed: {
        currentDisplayName: function () {
            var currentDisplayName = "block";
            if (this.layout && this.layout.display) {
                currentDisplayName = this.layout.display;
            }
            return currentDisplayName;
        }
    },
    render: function (h) {
        var renders = {
            inline: h("span", this.$slots["default"]),
            block: h("div", {
                props: this.display
            }, [h("span", this.$slots["default"])])
        };
        if (this.currentDisplayName) {
            return renders[this.currentDisplayName];
        }
        return renders.block;
    }
});
